package es.ejie.frmk.infraestructura.mail;

import java.io.Serializable;

import javax.mail.Authenticator;
import javax.mail.PasswordAuthentication;

/**
 * Representación conceptual de la Autentificación del email del servidor SMTP.
 * Cada envío de email estará referenciado a un objeto de la clase
 * Q70MailAuthentication. En caso de que no haya autentificación del servidor
 * SMTP, su valor sera null.
 * @version 2.0 Fecha: 28-mar-06
 */
public class Q70MailAuthentication extends Authenticator implements Serializable {

	private String username = null;
	private String password = null;

	/**
	 * Constructor de la clase Q70MailAuthentication.
	 * @param username Usuario del servidor SMTP.
	 * @param password Password del usuario del servidor SMTP.
	 */
	public Q70MailAuthentication(String username, String password) {
		setUsername(username);
		setPassword(password);
	}

	/**
	 * @return password
	 */
	public String getPassword() {
		return password;
	}

	/**
	 * @param password
	 */
	public void setPassword(String password) {
		this.password = password;
	}

	/**
	 * @return usuario
	 */
	public String getUsername() {
		return username;
	}

	/**
	 * @param username
	 */
	public void setUsername(String username) {
		this.username = username;
	}

	/**
	 * @return Autentificación
	 */
	protected PasswordAuthentication getPasswordAuthentication() {
		return new PasswordAuthentication(username, password);
	}
}
